#!/usr/bin/python

import nilmdb.fsck
import argparse
import os
import sys

def main():
    """Main entry point for the 'nilmdb-fsck' command line script"""

    parser = argparse.ArgumentParser(
        description = 'Check database consistency',
        formatter_class = argparse.ArgumentDefaultsHelpFormatter)
    parser.add_argument("-V", "--version", action="version",
                        version = nilmdb.__version__)
    parser.add_argument('-d', '--database', help = 'Database directory',
                        default = "./db")
    args = parser.parse_args()

    nilmdb.fsck.Fsck(args.database).check()

if __name__ == "__main__":
    main()
